=== debian/changelog ===
libime (1.0.13-1) unstable; urgency=medium

  * New upstream release.
  * Refresh data and submodule components.
  * debian/control: Drop build-dependency on python3.
  * debian/watch: Use upstream _dict tarball.
  * debian/copyright: Updated.

 -- Boyuan Yang <byang@debian.org>  Wed, 06 Jul 2022 15:13:19 -0400

libime (1.0.12-2) unstable; urgency=medium

  * debian/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via
    dh_auto_configure override for reproducibility. (Closes: #1001866)

 -- Boyuan Yang <byang@debian.org>  Sat, 28 May 2022 19:42:14 -0400

libime (1.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 May 2022 18:17:07 -0400
