=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Create kenlm symlink immediately before configure
execute_before_dh_auto_configure:
	$(RM) -r src/libime/core/kenlm
	ln -sf $(CURDIR)/kenlm $(CURDIR)/src/libime/core/kenlm

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
	    $(NULL)

ifneq (,$(filter $(DEB_HOST_ARCH), mips64el mipsel))
override_dh_auto_test:
	dh_auto_test -- ARGS+='--exclude-regex \(testtrie\)'
endif
