=== debian/watch ===
version=4

opts="pgpmode=none" \
 https://download.fcitx-im.org/fcitx5/libime/ \
  libime-@ANY_VERSION@_dict.tar.xz debian
opts="component=kenlm, downloadurlmangle=s|commit\/(\w+)|archive/\$1.zip|, filenamemangle=s|.+/(\w+)|kenlm-\$1.zip|" \
 https://github.com/kpu/kenlm/commit/fee7b058bf3f96d570c852340729c0d4d4df2c25 \
 /kpu/kenlm/commit/(fee7b058bf3f96d570c852340729c0d4d4df2c25) ignore
