=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-set(LM_TAR "lm_sc.arpa-20220630.tar.xz")
+set(LM_TAR "lm_sc.arpa-20220810.tar.xz")
 # Use our own file server for convenience.
 set(LM_URL "https://download.fcitx-im.org/data/${LM_TAR}")
 
 fcitx5_download(lm-download ${LM_URL} ${LM_TAR}
-                8d3b0fa8fa16b93d0d4590f02da04029c271364b5925c1c902845c374a2a00bf)
+                a11bc97d275adaf195f9bac854368ae06cdb4a0fe1eecf59db5ae580615db4fa)
 fcitx5_extract(lm-extract ${LM_TAR} DEPENDS lm-download
                OUTPUT lm_sc.arpa)
 
@@ -25,21 +25,29 @@
 install(FILES "${LM_OUTPUT}" RENAME zh_CN.lm DESTINATION "${LIBIME_INSTALL_LIBDATADIR}")
 install(FILES "${LM_PREDICT_OUTPUT}" RENAME zh_CN.lm.predict DESTINATION "${LIBIME_INSTALL_LIBDATADIR}")
 
-set(DICT_TAR "dict_sc.txt-20220628.tar.xz")
+set(DICT_TAR "dict-20220810.tar.xz")
 set(DICT_URL "https://download.fcitx-im.org/data/${DICT_TAR}")
 
 fcitx5_download(dict-download ${DICT_URL} ${DICT_TAR}
-               d0fc77543cc763cacb986d6e650827bd6050579584273f6216ab58672480f17c)
+               971752f413188007e8d19158c11b85c955e25d7b321ec2275c4b3af6d8a85d26)
 fcitx5_extract(dict-extract ${DICT_TAR} DEPENDS dict-download
-               OUTPUT dict_sc.txt)
+               OUTPUT dict_sc.txt dict_extb.txt)
+
 set(DICT_SRC "${CMAKE_CURRENT_BINARY_DIR}/dict_sc.txt")
 set(DICT_OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/sc.dict")
 add_custom_command(
   OUTPUT "${DICT_OUTPUT}"
   DEPENDS "${DICT_SRC}" LibIME::pinyindict
   COMMAND LibIME::pinyindict "${DICT_SRC}" "${DICT_OUTPUT}")
-add_custom_target(dict ALL DEPENDS "${DICT_OUTPUT}")
-install(FILES "${DICT_OUTPUT}" DESTINATION "${LIBIME_INSTALL_PKGDATADIR}")
+
+set(DICT_EXTB_SRC "${CMAKE_CURRENT_BINARY_DIR}/dict_extb.txt")
+set(DICT_EXTB_OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/extb.dict")
+add_custom_command(
+  OUTPUT "${DICT_EXTB_OUTPUT}"
+  DEPENDS "${DICT_EXTB_SRC}" LibIME::pinyindict
+  COMMAND LibIME::pinyindict "${DICT_EXTB_SRC}" "${DICT_EXTB_OUTPUT}")
+add_custom_target(dict ALL DEPENDS "${DICT_OUTPUT}" "${DICT_EXTB_OUTPUT}")
+install(FILES "${DICT_OUTPUT}" "${DICT_EXTB_OUTPUT}" DESTINATION "${LIBIME_INSTALL_PKGDATADIR}")
 
 set(TABLE_DICT_URL "https://download.fcitx-im.org/data/table.tar.gz")
 set(TABLE_DICT_TAR "table.tar.gz")
