=== debian/changelog ===
libime (1.0.16-1) unstable; urgency=medium

  * New upstream release.
    + Fix compatibility with libboost 1.81.

 -- Boyuan Yang <byang@debian.org>  Tue, 29 Nov 2022 13:34:34 -0500

libime (1.0.15-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 23 Nov 2022 10:23:08 -0500

libime (1.0.14-1) unstable; urgency=medium

  * New upstream release.
  * Use upstream _dict tarball.
  * debian/copyright: Update information.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Wed, 31 Aug 2022 13:42:15 -0400
