=== test/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
     testtable
     testpinyindata
     testpinyinencoder
+    testpinyinime_unit
     testinputbuffer
     testhistorybigram
     testshuangpinprofile
