=== debian/changelog ===
libime (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 13:21:32 -0400

libime (1.1.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 22 Aug 2023 07:34:45 -0400

libime (1.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/control: Require fcitx5 5.1+.

 -- Boyuan Yang <byang@debian.org>  Sat, 19 Aug 2023 20:46:35 -0400

libime (1.0.17-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jun 2023 10:55:40 -0400

libime (1.0.17-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 04 Apr 2023 16:01:21 -0400

libime (1.0.16-2) unstable; urgency=medium

  * debian/upstream/metadata: Add Repository and Repository-Browse
    fields.

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Nov 2022 13:49:27 -0500
