=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  libboost-filesystem-dev (>= 1.61),
  libboost-iostreams-dev (>= 1.61),
  libdouble-conversion-dev (>= 3.1.5-5~),
- libfcitx5utils-dev (>= 5.0.11),
-Standards-Version: 4.6.1
+ libfcitx5utils-dev (>= 5.1~),
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/libime
 Vcs-Git: https://salsa.debian.org/input-method-team/libime.git
