## libime 1.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.7)
-project(libime VERSION 1.1.1)
+project(libime VERSION 1.1.2)
 set(LibIME_VERSION ${PROJECT_VERSION})
 
 find_package(ECM 1.0 REQUIRED)
@@ -26,6 +26,9 @@
 include(ECMGeneratePkgConfigFile)
 include(ECMUninstallTarget)
 include(CheckLibraryExists)
+find_package(PkgConfig REQUIRED)
+
+pkg_check_modules(ZSTD REQUIRED IMPORTED_TARGET "libzstd")
 
 find_package(Fcitx5Utils REQUIRED)
 include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")
