=== data/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-set(LM_TAR "lm_sc.arpa-20220810.tar.xz")
+set(LM_TAR "lm_sc.arpa-20230712.tar.xz")
 # Use our own file server for convenience.
 set(LM_URL "https://download.fcitx-im.org/data/${LM_TAR}")
 
 fcitx5_download(lm-download ${LM_URL} ${LM_TAR}
-                a11bc97d275adaf195f9bac854368ae06cdb4a0fe1eecf59db5ae580615db4fa)
+                badd62c16c6373787a0fda8f09cd452d12f60d5868856f651ceecf1a07baba32)
 fcitx5_extract(lm-extract ${LM_TAR} DEPENDS lm-download
                OUTPUT lm_sc.arpa)
 
@@ -25,11 +25,11 @@
 install(FILES "${LM_OUTPUT}" RENAME zh_CN.lm DESTINATION "${LIBIME_INSTALL_LIBDATADIR}")
 install(FILES "${LM_PREDICT_OUTPUT}" RENAME zh_CN.lm.predict DESTINATION "${LIBIME_INSTALL_LIBDATADIR}")
 
-set(DICT_TAR "dict-20220810.tar.xz")
+set(DICT_TAR "dict-20230412.tar.xz")
 set(DICT_URL "https://download.fcitx-im.org/data/${DICT_TAR}")
 
 fcitx5_download(dict-download ${DICT_URL} ${DICT_TAR}
-               971752f413188007e8d19158c11b85c955e25d7b321ec2275c4b3af6d8a85d26)
+               f05fccaff9687900aac3d9ad5a81b20888b573201403fbcd9bbc7907d9e97507)
 fcitx5_extract(dict-extract ${DICT_TAR} DEPENDS dict-download
                OUTPUT dict_sc.txt dict_extb.txt)
