=== test/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,7 @@
     testpinyindictionary
     testprediction
     testtableime_unit
+    testtablerule
     )
 
 foreach(TESTCASE ${LIBIME_SINGLE_FILE_TEST})
