=== debian/changelog ===
libime (1.1.2-1~bpo11+1) bullseye-backports-sloppy; urgency=medium

  * Rebuild for bullseye-backports-sloppy.

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 30 Oct 2023 15:18:23 +0100

libime (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: New build-dependency libzstd-dev, pkg-config.
  * debian/control: Explicitly mark libime-bin as Multi-Arch: no.
    (Closes: #1051604)

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Sep 2023 20:03:39 -0400
