=== test/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
     testpinyincontext
     testpinyindictionary
     testprediction
+    testpinyinprediction
     testtableime_unit
     testtablerule
     )
