=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx5/libime/ \
  libime-@ANY_VERSION@_dict.tar.xz debian
